/*
POS API

Testing AnybillAPIService

*/

// Code generated by OpenAPI Generator (https://openapi-generator.tech);

package posapi

import (
	"context"
	"github.com/stretchr/testify/assert"
	"github.com/stretchr/testify/require"
	"testing"
	openapiclient "bitbucket.org/_SLACE_/clients/go/posapi"
)

func Test_posapi_AnybillAPIService(t *testing.T) {

	configuration := openapiclient.NewConfiguration()
	apiClient := openapiclient.NewAPIClient(configuration)

	t.Run("Test AnybillAPIService CreateAnybillConfiguration", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var oid string

		resp, httpRes, err := apiClient.AnybillAPI.CreateAnybillConfiguration(context.Background(), oid).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test AnybillAPIService DeleteAnybillConfiguration", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var oid string

		httpRes, err := apiClient.AnybillAPI.DeleteAnybillConfiguration(context.Background(), oid).Execute()

		require.Nil(t, err)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test AnybillAPIService GetAnybillConfiguration", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var oid string

		resp, httpRes, err := apiClient.AnybillAPI.GetAnybillConfiguration(context.Background(), oid).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

}
